# Check Requirements API

Used to check the required documents for API Business Registration. Partners can use this component to ensure they have all the necessary documentation before registering their business. Once the mandatory files are identified, the partner can upload the files using the API Upload File component.

## Endpoint

<table><thead><tr><th width="241">Type</th><th>Value</th></tr></thead><tbody><tr><td><strong>HTTP Method</strong></td><td>GET</td></tr><tr><td><strong>API endpoint (Test Mode)</strong></td><td><code>https://api-uat.doku.com/adv-core-api/partner/v1.0/file</code></td></tr><tr><td><strong>API endpoint (Production)</strong></td><td><code>https://api.doku.com/adv-core-api/partner/v1.0/file</code></td></tr></tbody></table>

## Request  Header

```
Client-Id: BRN-0001-10791114622547
Request-Id: fdb69f47-96da-499d-acec-7cdc318ab2fe
Request-Timestamp: 2020-08-11T08:45:42Z
Signature: HMACSHA256=1jap2tpgvWt83tG4J7IhEwUrwmMt71OaIk0oL0e6sPM=
```

<table><thead><tr><th width="199">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>client-id</code></strong></td><td>Client ID (Brand ID) will be shared by DOKU Account Manager</td></tr><tr><td><strong><code>request-id</code></strong></td><td>Unique random string (max 128 characters) generated from merchant side to protect duplicate request</td></tr><tr><td><strong><code>request-timestamp</code></strong></td><td>Timestamp request on UTC time in ISO8601 UTC+0 format. It means to proceed transaction on UTC+7 (WIB), merchant need to subtract time with 7. Ex: to proceed transaction on September 22th 2020 at 08:51:00 WIB, the timestamp should be 2020-09-22T01:51:00Z</td></tr><tr><td><strong><code>signature</code></strong></td><td>Security parameter that needs to be generated on merchant Backend and placed to the header request to ensure that the request is coming from valid merchant. Please refer to <a href="../../get-started-with-doku-api/signature-component/non-snap/signature-component-from-request-header">this section</a> to generate the signature</td></tr></tbody></table>

## Request  Parameters

<table><thead><tr><th>Parameter</th><th width="115">Type</th><th width="125">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td><code>businessType</code></td><td><code>string</code></td><td>Mandatory</td><td>e.g. PERSONAL, CORPORATE</td></tr><tr><td><code>businessLegalEntity</code></td><td><code>string</code></td><td>Mandatory</td><td>e.g. PT, CV, etc.<br>(<a href="#possible-values">Possible Values</a>)</td></tr><tr><td><code>brandBusinessLine</code></td><td><code>string</code></td><td>Mandatory</td><td>e.g. RETAIL, DIGITAL_AND_GAME, etc.<br>(<a href="#possible-values">Possible Values</a>)</td></tr><tr><td><code>businessContactNationality</code></td><td><code>string</code></td><td>Mandatory</td><td>e.g. ID (ISO2 CODE)</td></tr></tbody></table>

### Possible Values

{% tabs %}
{% tab title="PERSONAL" %}

<table><thead><tr><th width="203">Parameter</th><th>Possible Values</th></tr></thead><tbody><tr><td><code>businessType</code></td><td>PERSONAL</td></tr><tr><td><code>businessLegalEntity</code></td><td>PERSEORANGAN</td></tr><tr><td><code>brandBusinessLine</code></td><td><ul><li>RETAIL</li></ul></td></tr><tr><td><code>businessContactNationality</code></td><td>ID</td></tr></tbody></table>
{% endtab %}

{% tab title="CORPORATE" %}

<table><thead><tr><th width="255">Parameter</th><th>Possible Values</th></tr></thead><tbody><tr><td><code>businessType</code></td><td>CORPORATE</td></tr><tr><td><code>businessLegalEntity</code></td><td><ul><li>PT</li><li>CV</li><li>UD</li><li>KOPERASI</li><li>FIRMA</li><li>PP</li><li>BUMN</li><li>PTN_BH</li><li>YAYASAN</li><li>PERKUMPULAN_BERBADAN_HUKUM</li><li>BLU</li></ul></td></tr><tr><td><code>brandBusinessLine</code></td><td><ul><li>AGRICULTURE</li><li>CAPITAL_MARKET</li><li>CHARITY</li><li>COMMUNICATION</li><li>DIGITAL_AND_GAME</li><li>EDUCATION</li><li>EVENT_ORGANIZER</li><li>FINANCIAL_SERVICE</li><li>FOOD_AND_BEVERAGE</li><li>GAS_STATION</li><li>HOSPITALITY</li><li>INSURANCE</li><li>LOGISTICS</li><li>MANUFACTURE</li><li>MARKETPLACE</li><li>MINING</li><li>ONLINE_STORE</li><li>P2P_LENDING</li><li>PROPERTY</li><li>PUBLIC_SERVICE</li><li>RETAIL</li><li>TRANSPORTATION</li><li>TRAVEL_AGENT</li></ul></td></tr><tr><td>businessContactNationality</td><td>ID</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="PERSONAL" %}

```json
{
    "business": {
        "brand": {
            "photo_proof": {
                "code": "PHOTO_PROOF",
                "name": "Brand Photo Proof",
                "extensions": [
                    "PNG",
                    "JPG",
                    "JPEG"
                ],
                "max_size": 15
            }
        },
        "contact": {
            "documents": [
                {
                    "code": "KTP",
                    "name": "Kartu Tanda Penduduk",
                    "extensions": [
                        "PDF",
                        "JPG",
                        "JPEG",
                        "PNG"
                    ],
                    "max_size": 15,
                    "form": [
                        {
                            "code": "NO_KTP",
                            "name": "No. KTP (NIK)",
                            "min_size": 16,
                            "max_size": 16,
                            "alpha": false,
                            "numeric": true,
                            "alpha_numeric": false,
                            "caption": "Masukkan 16 digit nomor KTP Anda (NIK)"
                        }
                    ]
                }
            ],
            "owner_liveness": {
                "code": "OWNER_LIVENESS",
                "name": "Owner Liveness",
                "extensions": [
                    "PNG",
                    "JPG",
                    "JPEG"
                ],
                "max_size": 15
            }
        }
    }
}

```

{% endtab %}

{% tab title="CORPORATE" %}

```json
{
    "business": {
        "brand": {
            "photo_proof": {
                "code": "PHOTO_PROOF",
                "name": "Brand Photo Proof",
                "extensions": [
                    "PNG",
                    "JPG",
                    "JPEG"
                ],
                "max_size": 15
            },
            "documents": [
                {
                    "code": "LISENSI_OJK",
                    "name": "Lisensi OJK (Otoritas Jasa Keuangan)",
                    "extensions": [
                        "PDF",
                        "JPG",
                        "JPEG",
                        "PNG"
                    ],
                    "max_size": 15
                },
                {
                    "code": "TANDA_DAFTAR_PSE",
                    "name": "Tanda Daftar Penyelenggara Sistem Elektronik dari Kementerian Komunikasi dan Informatika",
                    "extensions": [
                        "PDF",
                        "JPG",
                        "JPEG",
                        "PNG"
                    ],
                    "max_size": 15
                }
            ]
        },
        "contact": {
            "documents": [
                {
                    "code": "KTP",
                    "name": "Kartu Tanda Penduduk",
                    "extensions": [
                        "PDF",
                        "JPG",
                        "JPEG",
                        "PNG"
                    ],
                    "max_size": 15,
                    "form": [
                        {
                            "code": "NO_KTP",
                            "name": "No. KTP (NIK)",
                            "min_size": 16,
                            "max_size": 16,
                            "alpha": false,
                            "numeric": true,
                            "alpha_numeric": false,
                            "caption": "Masukkan 16 digit nomor KTP Anda (NIK)"
                        }
                    ]
                }
            ]
        },
        "documents": [
            {
                "code": "NPWP_BADAN",
                "name": "NPWP (Nomor Pokok Wajib Pajak) Badan",
                "extensions": [
                    "PDF",
                    "JPG",
                    "JPEG",
                    "PNG"
                ],
                "max_size": 15,
                "form": [
                    {
                        "code": "NO_NPWP",
                        "name": "No. NPWP",
                        "min_size": 15,
                        "max_size": 15,
                        "alpha": false,
                        "numeric": true,
                        "alpha_numeric": false,
                        "caption": "Masukkan 15 digit nomor NPWP Anda"
                    }
                ]
            },
            {
                "code": "SK_KEMENKUMHAM",
                "name": "Surat Keputusan Kementerian Hukum & HAM",
                "extensions": [
                    "PDF",
                    "JPG",
                    "JPEG",
                    "PNG"
                ],
                "max_size": 15
            },
            {
                "code": "NIB",
                "name": "NIB (Nomor Induk Berusaha)",
                "extensions": [
                    "PDF",
                    "JPG",
                    "JPEG",
                    "PNG"
                ],
                "max_size": 15,
                "form": [
                    {
                        "code": "NO_NIB",
                        "name": "No. NIB",
                        "min_size": 13,
                        "max_size": 13,
                        "alpha": false,
                        "numeric": true,
                        "alpha_numeric": false,
                        "caption": "Masukkan 13 digit nomor NIB Anda"
                    }
                ]
            },
            {
                "code": "IZIN_USAHA",
                "name": "Surat Izin Usaha",
                "extensions": [
                    "PDF",
                    "JPG",
                    "JPEG",
                    "PNG"
                ],
                "max_size": 15
            },
            {
                "code": "AKTA_PENDIRIAN_PERUSAHAAN",
                "name": "Akta Pendirian dan Perubahan Perusahaan",
                "extensions": [
                    "PDF",
                    "JPG",
                    "JPEG",
                    "PNG"
                ],
                "max_size": 25
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.doku.com/partnership/partner-api/check-requirements-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
